
%define snap 20120419

Name:           kpartsplugin
Version:        0.0.1
Release:        0.7.%{snap}%{?dist}
Summary:        KParts technology to embed file viewers into non-KDE browsers

Group:          System Environment/Libraries
License:        GPLv3+
URL:            http://kde-apps.org/content/show.php?content=125066
Source0:        http://www.unix-ag.uni-kl.de/~fischer/%{name}/%{name}-%{snap}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

## upstreamable patches
# support build-time -DNSPLUGIN_PATH_DIR option
Patch50: kpartsplugin-20120419-nsplugin_path.patch

BuildRequires:  kdelibs4-devel

# *was* Req: kdebase, can't think of why that's needed, so tentatively
# switching to (versioned) kdebase-runtime instead, for now -- Rex
Requires:       kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}
# for directory ownership
Requires:	mozilla-filesystem


%description
This software implements a plug-in for Netscape-compatible browsers in a Unix 
environment. This plug-in uses KDE's KParts technology to embed file viewers 
(e.g. for PDF files) into non-KDE browsers. Tested browsers include both 
Mozilla Firefox and Opera.
With this plug-in, you can e.g. view PDF files in Firefox using Okular as an 
embedded plug-in.


%prep
%setup -q -n %{name}-%{snap}

%patch50 -p1 -b .nsplugin_path


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
  -DNSPLUGIN_INSTALL_DIR:PATH="%{_libdir}/mozilla/plugins" \
   ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast -C %{_target_platform} DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}


%files 
%defattr(-,root,root,-)
%doc ChangeLog README.txt
%{_libdir}/mozilla/plugins/libkpartsplugin.so


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-0.7.20120419
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Apr 20 2012 Rex Dieter <rdieter@fedoraproject.org> 0.0.1-0.6.20120419
- update to 20120419

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-0.5.20110606
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jun 08 2011 Rex Dieter <rdieter@fedoraproject.org> 0.0.1-0.4.20110606
- update to 20110606 
- Various issues with java (#659360)
- BR: gettext (translations)
- Requires: kdebase-runtime (instead of kdebase)

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-0.3.20101216
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb 02 2011 Thomas Janssen <thomasj@fedoraproject.org> 0.0.1-0.2.20101216
- update to 20101216

* Sun Aug 08 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.0.1-0.2.20100723
- update to 20100723

* Thu Jul 01 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.0.1-0.2.20100629
- kpartsplugin 20100629

* Thu Jun 24 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.0.1-0.2.20100604a
- kpartsplugin 20100604a

* Wed May 26 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.0.1-0.2.20100521
- fixed the installpath

* Fri May 21 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.0.1-0.1.20100521
- Initial Release
